package gov.va.med.fw.util;

public class ReflectionException extends Exception {

    /**
	 * An instance of serialVersionUID
	 */
	private static final long serialVersionUID = -5697298290219431600L;

	/**
     * An exception initialized without messages.
     */
    public ReflectionException() {
	this(null);
    }

    /**
     * An exception initialized with a specific message.
     * @param message An exception message
     */
    public ReflectionException(String message) {
	super(message);
    }

    /**
     * An exception initialized with a message and an exception.
     */
    public ReflectionException(String message, Throwable cause) {
	super(message, cause);
    }
}

